## ros-kinetic-cob-phidgets 0.7.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_phidgets)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS libphidgets message_generation roscpp sensor_msgs std_msgs)

### Message Generation ###
add_message_files(
  FILES
  AnalogSensor.msg
  DigitalSensor.msg
)

add_service_files(
  FILES
  SetDataRate.srv
  SetDigitalSensor.srv
  SetTriggerValue.srv
)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(
  CATKIN_DEPENDS message_runtime roscpp sensor_msgs std_msgs
)

### BUILD ###
include_directories(${PROJECT_SOURCE_DIR}/ros/include ${PROJECT_SOURCE_DIR}/common/include ${catkin_INCLUDE_DIRS})

add_executable(range_sensors ros/src/phidgets_range_sensors.cpp)
add_dependencies(range_sensors ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(range_sensors ${catkin_LIBRARIES})

add_executable(device_name ros/src/set_device_name.cpp)
add_dependencies(device_name ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(device_name ${catkin_LIBRARIES})

add_executable(phidget_sensors
  common/src/phidget.cpp
  common/src/phidgetik.cpp
  ros/src/phidget_manager.cpp
  ros/src/phidget_sensors_node.cpp
  ros/src/phidgetik_ros.cpp)
add_dependencies(phidget_sensors ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(phidget_sensors ${catkin_LIBRARIES})

### INSTALL ###
install(TARGETS device_name phidget_sensors range_sensors
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

catkin_install_python(PROGRAMS ros/src/simulated_range_sensors.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}/ros/src
)

=== debian/changelog ===
ros-kinetic-cob-phidgets (0.7.5-3xenial) xenial; urgency=high

  * Merge pull request #418 <https://github.com/ipa320/cob_driver/issues/418> from fmessmer/fix_catkin_lint
    fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Mon, 05 Apr 2021 22:00:00 -0000

ros-kinetic-cob-phidgets (0.7.4-3xenial) xenial; urgency=high

  * Merge pull request #417 <https://github.com/ipa320/cob_driver/issues/417> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 13 Oct 2020 22:00:00 -0000

ros-kinetic-cob-phidgets (0.7.3-3xenial) xenial; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-phidgets (0.7.2-3xenial) xenial; urgency=high

  * Merge pull request #408 <https://github.com/ipa320/cob_driver/issues/408> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-phidgets (0.7.1-3xenial) xenial; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-cob-phidgets (0.7.0-3xenial) xenial; urgency=high

  * Merge pull request #396 <https://github.com/ipa320/cob_driver/issues/396> from HannesBachter/indigo_dev
    0.6.15
  * Contributors: Felix Messmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-kinetic-cob-phidgets (0.6.15-3xenial) xenial; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Tue, 16 Jul 2019 22:00:00 -0000

ros-kinetic-cob-phidgets (0.6.14-3xenial) xenial; urgency=high



 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Thu, 06 Jun 2019 22:00:00 -0000

ros-kinetic-cob-phidgets (0.6.13-3xenial) xenial; urgency=high

  * Merge pull request #386 <https://github.com/ipa320/cob_driver/issues/386> from benmaidel/fix/check_sensor_value
    [cob_phidgets] srv callback check if digital sensor is already at desired state
  * fix indentation
  * on srv callback check if digital sensor is already at desired state
  * Contributors: Benjamin Maidel, Felix Messmer, fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-kinetic-cob-phidgets (0.6.12-3xenial) xenial; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Benjamin Maidel <benjamin.maidel@mojin-robotics.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-cob-phidgets (0.6.11-3xenial) xenial; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-kinetic-cob-phidgets (0.6.10-3xenial) xenial; urgency=high



 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-kinetic-cob-phidgets (0.6.9-3xenial) xenial; urgency=high

  * use usleep
  * manually fix changelog
  * Contributors: ipa-fxm

 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-kinetic-cob-phidgets (0.6.8-3xenial) xenial; urgency=high



 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-phidgets (0.6.7-3xenial) xenial; urgency=high



 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Fri, 01 Apr 2016 22:00:00 -0000

ros-kinetic-cob-phidgets (0.6.6-3xenial) xenial; urgency=high



 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-kinetic-cob-phidgets (0.6.5-3xenial) xenial; urgency=high



 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-kinetic-cob-phidgets (0.6.4-3xenial) xenial; urgency=high

  * do not install headers in executable-only packages
  * explicit dependency to boost
  * remove obsolete autogenerated mainpage.dox files
  * remove trailing whitespaces
  * add_dependencies EXPORTED_TARGETS
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-kinetic-cob-phidgets (0.6.3-3xenial) xenial; urgency=high

  * catkin_lint'ing
  * Contributors: Florian Weisshardt

 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-kinetic-cob-phidgets (0.6.2-3xenial) xenial; urgency=high



 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-kinetic-cob-phidgets (0.6.1-3xenial) xenial; urgency=high

  * Fixes the weird Jenkins release problem
  * Contributors: thiagodefreitas

 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-kinetic-cob-phidgets (0.6.0-3xenial) xenial; urgency=high



 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Mon, 08 Sep 2014 22:00:00 -0000

ros-kinetic-cob-phidgets (0.5.7-3xenial) xenial; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * 0.5.6
  * update changelog
  * merge
  * fix CMakeLists.txt
  * small changes to remove warnings
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * fix install tag
  * Merge pull request #136 <https://github.com/ipa320/cob_driver/issues/136> from ipa-fmw/hydro_dev
    change maintainer and add missing dependency
  * Update package.xml
  * fix
  * use board_name instead serial_num in debug outputs


=== debian/control ===
Source: ros-kinetic-cob-phidgets
Section: misc
Priority: optional
Maintainer: Benjamin Maidel <benjamin.maidel@mojin-robotics.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-libphidgets, ros-kinetic-message-generation, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Homepage: http://ros.org/wiki/cob_phidgets
Standards-Version: 3.9.2

Package: ros-kinetic-cob-phidgets
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-libphidgets, ros-kinetic-message-runtime, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Description: cob_phidgets

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cob-phidgets//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
